Printer FriendlyEmail Article Link

TTworkbench: Which Wireshark version is required to use TTsuite-AVB and TTsuite-TSN?

Environment/Versions
  • TTworkbench 64 Bit, Microsoft Windows
  • TTsuite-AVB
  • TTsuite-TSN
Answer
Automotive AVB Conformance Test Suite (TTsuite-AVB) and TTsuite-TSN request a special wireshark installation and setting. 
  • Wireshark 64 bit: Should be downloaded (www.wireshark.org) and installed on your computer
    • Ensure selecting the following option during installation: Install Npcap in WinPcap API-compatible mode (refer to FAQ18909)
  • A special pcap DLL is required for TSN conformance testing (refer to FAQ18875 (Login required))
In addition, please ensure that the required Microsoft Visual C++ 2012 Redistributable is installed on your machine.


Note:

In case of any runtime error using jpcap, please make sure there are no incompatible versions of Jpcap DLL's (e.g. 32 bit versions) installed on your computer respectively under any of the following directories on Windows:
C: \ WINDOWS \ Sun \ Java \ bin;
C: \ WINDOWS \ system32;
C: \ WINDOWS;